<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>添加/修改活动</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="../../layuiadmin/style/formSelects-v4.css"/>
    <link rel="stylesheet" type="text/css" href="../../layuiadmin/layui/ueditor/themes/default/css/umeditor.css"/>
    <script type="text/javascript" src="../../layuiadmin/layui/ueditor/third-party/jquery.min.js"></script>
    <script type="text/javascript" charset="utf-8" src="../../layuiadmin/layui/ueditor/umeditor.config.js"></script>
    <script type="text/javascript" charset="utf-8" src="../../layuiadmin/layui/ueditor/umeditor.js"></script>
    <script type="text/javascript" src="../../layuiadmin/layui/ueditor/lang/zh-cn/zh-cn.js"></script>
    <style>


    </style>
</head>
<body>

<div class="layui-fluid">
    <div class="layui-row layui-col-space15">
        <div class="layui-card">

            <div class="layui-card-body" pad15>
                <form class="layui-form" action="" lay-filter="component-form-element">
                    <div class="layui-row layui-col-space10 layui-form-item">
                        <div>
                            <label class="layui-form-label"><font color='red' size="4">*</font>标题：</label>
                            <div class="layui-input-block">
                                <input type="text" name="title" lay-verify="required" placeholder="请输入标题" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div>
                            <label class="layui-form-label"><font color='red' size="4">*</font>截止日期：</label>
                            <div class="layui-input-block">
                                <input id="date" type="text" name="end_date" placeholder="请输入活动截止日期" autocomplete="off" class="layui-input" lay-verify="required">
                            </div>
                        </div>
                        <div style="margin-top: 20px;">
                            <label class="layui-form-label"><font color='red' size="4">*</font>活动介绍：</label>
                            <div class="layui-input-block">
                                <script type="text/plain" id="myEditor"></script>
                            </div>
                        </div>
                        <div>
                            <label class="layui-form-label">备注：</label>
                            <div class="layui-input-block">
                                <input type="text" name="notes" placeholder="请输入备注" autocomplete="off" class="layui-input">
                            </div>
                        </div>
                        <div>
                            <label class="layui-form-label"><font color='red' size="4">*</font>封面：</label>
                            <div class="layui-input-block">
                                <button type="button" class="layui-btn-sm" id="test1">上传图片</button><br><br>
                                <img class="layui-upload-img" id="demo1" style="max-height: 250px; max-width: 300px;">
                            </div>
                        </div>
                        <button class="layui-btn" id="id_save" lay-submit lay-filter="component-form-element" style="display: none">保存</button>
                        <button class="layui-btn" type="button" id="upload_image" style="display: none"></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script src="../../layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '../../../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index',
        formSelects: 'formSelects-v4'
    }).use(['index', 'form', 'utils', 'upload', 'laydate'], function(){
        var $ = layui.$
            ,admin = layui.admin
            ,upload = layui.upload
            ,laydate = layui.laydate
            ,form = layui.form;
        var id = layui.view.getParameterByName('id');

        var um = UM.getEditor('myEditor');
        um.setWidth('100%');
        $(".edui-body-container").css("width", "98%");

        laydate.render({
            elem: '#date'
            ,type: 'date'
            ,trigger: 'click'
        });


        if(id){
            var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
            form.val("component-form-element", editdata);
            um.setContent(editdata.describe);
            if(editdata.cover_url){
                $('#demo1').attr('src', editdata.cover_url);
            }
        }

        form.render(null, 'component-form-element');

        var form_data = {field:{}};
        if (id){
            var url = '/activity/'+id + '/update_obj/';
        }else{
            url =  '/activity/';
        }

        upload.render({
            elem: '#test1',
            url: url,
            auto: false,
            field: 'image',
            bindAction: '#upload_image',
            choose: function(obj) {
                obj.preview(
                    function(index, file, result) {
                        $('#demo1').attr('src', result);
                    }
                );
            },
            data:{
                title: function(){return form_data.field.title;},
                end_date: function(){return form_data.field.end_date;},
                describe: function(){return form_data.field.describe;},
                notes: function(){return form_data.field.notes;},
            },
            done: function (res) {
                if (res.code !== 0) {
                    layer.msg(res.msg);
                }else {
                    parent.layui.onSubmitChild(res.data);
                }
            },
            error: function () {
                layer.msg('保存失败');
            }
        });


        form.on('submit(component-form-element)', function(data){
            if (!id && !data.field.image){
                layer.msg('请上传活动封面！', {icon: 5});
                return false;
            }

            var describe = UM.getEditor('myEditor').getContent();
            data.field['describe'] = describe;

            if (data.field.image){
                form_data = data;
                $('#upload_image').click();
            }else{
                var save_data = data.field;
                admin.req({
                    url: url
                    ,data: save_data
                    ,type: 'post'
                    ,done: function(res){
                        parent.layui.onSubmitChild(res.data);
                    }
                });
            }
            return false;
        });

        parent.layui.submitChild = function () {
            $("#id_save").click();
        };
    });
</script>
</body>
</html>